import { v2_length } from "../vec2/v2_length.js";

export function m3_rm_extract_scale(result, m3) {
    const scale_x = v2_length(m3[0], m3[3]);
    const scale_y = v2_length(m3[1], m3[4]);

    result[0] = scale_x;
    result[1] = scale_y;
}
